JAVA_OPTS para aumentar el tamaño del montón

Quiero aumentar mi tamaño de Heap. ¿Cómo puedo utilizar JAVA_OPTS para hacer so.I están recibiendo el siguiente error puede ser esto es debido a un tamaño de heap baja

UNEXPECTED TOP-LEVEL ERROR: java.lang.OutOfMemoryError: Java heap space at java.util.Arrays.copyOfRange(Arrays.java:3209) at java.lang.String.<init>(String.java:215) at java.lang.StringBuilder.toString(StringBuilder.java:430) at com.android.dx.rop.type.Prototype.withFirstParameter(Prototype.java:370) at com.android.dx.rop.code.Rops.ropFor(Rops.java:1210) at com.android.dx.cf.code.RopperMachine.run(RopperMachine.java:478) at com.android.dx.cf.code.Simulator$SimVisitor.visitConstant(Simulator.java:692) at com.android.dx.cf.code.BytecodeArray.parseInstruction(BytecodeArray.java:763) at com.android.dx.cf.code.Simulator.simulate(Simulator.java:95) at com.android.dx.cf.code.Ropper.processBlock(Ropper.java:684) at com.android.dx.cf.code.Ropper.doit(Ropper.java:639) at com.android.dx.cf.code.Ropper.convert(Ropper.java:252) at com.android.dx.dex.cf.CfTranslator.processMethods(CfTranslator.java:256) 

One Solution collect form web for “JAVA_OPTS para aumentar el tamaño del montón”

Usted debe ser capaz de utilizar la información que se encuentra en esta publicación .

 -Xmszzzm 

Donde zzz es su tamaño mínimo.

 -Xmxzzzm 

Donde zzz es su tamaño máximo.

 JAVA_OPTS="-Xms128m -Xmx512m" 

Puede encontrar más información sobre VM args aquí .

Cómo configurarlo globalmente en su entorno depende de su sistema operativo. ¿Qué sistema operativo está utilizando?

EDIT : Veo la etiqueta "ubuntu" ahora.

Sólo deberías poder poner la línea JAVA_OPTs en etc/environment . Una vez que modifique etc/environment , tendrá que desconectarse y volver a las variables de entorno actualizadas para que surtan efecto.

  • Error en la generación de Gradle en Android Studio
  • ¿Cómo puedo corregir el error JDK no encontrado al crear una fuente de Android?
  • Emulador ya está en ejecución pero no puede verlo en ubuntu
  • Sigue recibiendo este error cuando estoy tratando de compilar con Gradle en Android Studio en UBUNTU 14.04
  • Eclipse (paquete de Android) Crashing
  • No se puede ejecutar android / sdk / build-tools / 23.0.2 / aapt
  • Iniciar avd falla, diciendo que no puede encontrar el emulador, pero existe
  • Error al intentar ejecutar la aplicación de Android en el emulador con phonegap, ¿cómo puedo solucionarlo?
  • Cómo configurar las rutas SDK, NDK y JDK de Android en ubuntu 12.04
  • ¿Cómo desarrollar aplicaciones Android usando un dispositivo Samsumg Galaxy 5?
  • Reaccione errorTimeout nativo que consigue lista del dispositivo. Cuando se ejecuta hola mundo en ubuntu
  • FlipAndroid es un fan de Google para Android, Todo sobre Android Phones, Android Wear, Android Dev y Aplicaciones para Android Aplicaciones.